Subject: Re: [PATCH net-next 0/3] net: ethtool: Track TX pause storm

From: Jakub Kicinski <[email-masked]>
Date: Sun, 25 Jan 2026 14:30:25 -0800

On Sun, 25 Jan 2026 11:59:07 +0200 Gal Pressman wrote:
> On 23/01/2026 20:40, Jakub Kicinski wrote:
> >> - The auto-recovery (service task) enforces a fixed policy. Can we make
> >>   this configurable? I used devlink health (.recover) to let userspace
> >>   decide between auto-reset or manual intervention.  
> > 
> > There is already a tunable for this exact feature but for PFC:
> > ETHTOOL_PFC_PREVENTION_TOUT. Should be trivial to add the same thing for
> > non-PFC pause. But we didn't want to open the uAPI can of warms unless
> > there's a clear ask and consensus. We don't need tuning (or so we
> > think), and there was some talk about not adding uAPI for fbnic because
> > it's a "private device".  
> 
> I had to refresh my memory on this, but I think we've chosen a non-ideal
> name back then.
> We use this value for both PFC and global pause, I recommend you do the
> same (perhaps with better documentation?).

Excellent, I was wondering if that may indeed be the case. Thanks for
doing the digging. Let's respin, use that knob and document it better
as you suggest.

> mlx5 exposes tx_pause_storm_warning_events/tx_pause_storm_error_events
> through 'ethtool -S', we can probably assign one of them into
> tx-pause-storm-events.

Do you prefer to take care of that or should Mohsin do it? According to
https://enterprise-support.nvidia.com/s/article/understanding-mlx5-ethtool-counters
sounds like the "error" counter is the one that matches.